.shiny-btn9 {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 85%;/*ボタンの幅*/
    height:80px;
    line-height:65px;
    padding: 10px 0;
    margin: 30px auto;
    background-color: #f15424;/*ボタンの色*/
    box-shadow: 0 5px 0 0 rgba(110, 68, 68, 1);/*影の色(rgbaの値を変更)*/
    border-radius: 25px;
    font-weight: bold;
    font-size: 40px;
    color: #fff;
    text-align: center;
    text-decoration: none;
    overflow: hidden;
    transition: 0.2s;
}
.shiny-btn9:hover {
    text-decoration: none;
    color: #fff;
    opacity: 0.7;
    box-shadow: none;
    -webkit-transform: translateY(3px);
}
.shiny-btn9::before {
    position: absolute;
    content: '';
    display: inline-block;
    top: -180px;
    left: 0;
    width: 30px;
    height: 100%;
    background-color: #fff;
    animation: shiny-btn9 3s ease-in-out infinite;
}
@-webkit-keyframes shiny-btn9 {
    0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
    80% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
    81% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
    100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}

.shiny-btn2 {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    width: 85%;/*ボタンの幅*/
    height:80px;
    line-height:65px;
    padding: 10px 0;
    margin: 30px auto;
    background-color: #00C8C5;/*ボタンの色*/
    box-shadow: 0 5px 0 0 rgba(1, 64, 64, 1);/*影の色(rgbaの値を変更)*/
    border-radius: 25px;
    font-weight: bold;
    font-size: 40px;
    color: #fff;
    text-align: center;
    text-decoration: none;
    overflow: hidden;
    transition: 0.2s;
}
.shiny-btn2:hover {
    text-decoration: none;
    color: #fff;
    opacity: 0.7;
    box-shadow: none;
    -webkit-transform: translateY(3px);
}
.shiny-btn2::before {
    position: absolute;
    content: '';
    display: inline-block;
    top: -180px;
    left: 0;
    width: 30px;
    height: 100%;
    background-color: #fff;
    animation: shiny-btn9 3s ease-in-out infinite;
}
@-webkit-keyframes shiny-btn2 {
    0% { -webkit-transform: scale(0) rotate(45deg); opacity: 0; }
    80% { -webkit-transform: scale(0) rotate(45deg); opacity: 0.5; }
    81% { -webkit-transform: scale(4) rotate(45deg); opacity: 1; }
    100% { -webkit-transform: scale(50) rotate(45deg); opacity: 0; }
}

-------------------------------------------------------------- */